View a markdown version of this page

UpdatePrivateConnectionCertificate - AWS Security Agent

UpdatePrivateConnectionCertificate

Updates the certificate associated with a private connection. Certificates can be added or replaced but not removed.

Request Syntax

POST /UpdatePrivateConnectionCertificate HTTP/1.1 Content-type: application/json { "certificate": "string", "privateConnectionName": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

certificate

The PEM-encoded certificate chain for the private connection.

Type: String

Required: Yes

privateConnectionName

The name of the private connection to update.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "certificateExpiryTime": "string", "dnsResolution": "string", "failureMessage": "string", "hostAddress": "string", "name": "string", "resourceConfigurationId": "string", "resourceGatewayId": "string", "status": "string", "tags": { "string" : "string" }, "type": "string", "vpcId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

certificateExpiryTime

The date and time the connection's certificate expires, in UTC format.

Type: Timestamp

dnsResolution

The DNS resolution mode for the resource gateway.

Type: String

Valid Values: PUBLIC | IN_VPC

failureMessage

A message describing why the private connection entered a failed state, if applicable.

Type: String

hostAddress

The IP address or DNS name of the target resource.

Type: String

name

The name of the private connection.

Type: String

resourceConfigurationId

The identifier or ARN of the VPC Lattice resource configuration.

Type: String

resourceGatewayId

The identifier or ARN of the VPC Lattice resource gateway.

Type: String

status

The current status of the private connection.

Type: String

Valid Values: ACTIVE | CREATE_IN_PROGRESS | CREATE_FAILED | DELETE_IN_PROGRESS | DELETE_FAILED

tags

The tags attached to the private connection.

Type: String to string map

type

The type of the private connection, indicating whether it is service-managed or self-managed.

Type: String

Valid Values: SERVICE_MANAGED | SELF_MANAGED

vpcId

The identifier of the VPC the resource gateway is created in.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

message

Error description.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the resource.

message

Error description.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of your request.

message

Error description.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

message

Error description.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

message

Error description.

quotaCode

Quota code for throttling limit.

serviceCode

Service code for throttling limit.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered during validation.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: